Agora RTC Objective-C API Reference Refactor

Data Fields
MixedAudioStream Struct Reference

## Data Fields
AUDIO_SOURCE_TYPE | sourceType
uid_t | remoteUserUid
const char * | channelId
track_id_t | trackId

## Constructor & Destructor Documentation

## ◆ MixedAudioStream() [1/4]

MixedAudioStream | ( | AUDIO_SOURCE_TYPE | source | ) |
| inline

## ◆ MixedAudioStream() [2/4]

MixedAudioStream | ( | AUDIO_SOURCE_TYPE | source,
|  | track_id_t | track
| ) |  |
| inline

## ◆ MixedAudioStream() [3/4]

MixedAudioStream | ( | AUDIO_SOURCE_TYPE | source,
|  | uid_t | uid,
|  | const char * | channel
| ) |  |
| inline

## ◆ MixedAudioStream() [4/4]

MixedAudioStream | ( | AUDIO_SOURCE_TYPE | source,
|  | uid_t | uid,
|  | const char * | channel,
|  | track_id_t | track
| ) |  |
| inline

## Field Documentation

## ◆ sourceType

AUDIO_SOURCE_TYPE sourceType

The type of the audio source. See `AUDIO_SOURCE_TYPE`.

## ◆ remoteUserUid

uid_t remoteUserUid

The user ID of the remote user.

Note
  Set this parameter if the source type of the locally mixed audio steams is AUDIO_SOURCE_REMOTE_USER.

## ◆ channelId

const char* channelId

The channel name. This parameter signifies the channel in which users engage in real-time audio and video interaction. Under the premise of the same App ID, users who fill in the same channel ID enter the same channel for audio and video interaction. The string length must be less than 64 bytes. Supported characters (89 characters in total):

- All lowercase English letters: a to z.
- All uppercase English letters: A to Z.
- All numeric characters: 0 to 9.
- "!", "#", "$", "%", "&", "(", ")", "+", "-", ":", ";", "<", "=", ".", ">", "?", "@", "[", "]", "^", "_", "{", "}", "|", "~", ","
  Note
    Set this parameter if the source type of the locally mixed audio streams is AUDIO_SOURCE_REMOTE_CHANNEL or AUDIO_SOURCE_REMOTE_USER.

## ◆ trackId

track_id_t trackId

The audio track ID. Set this parameter to the custom audio track ID returned in `createCustomAudioTrack`.

Note
  Set this parameter if the source type of the locally mixed audio steams is AUDIO_SOURCE_CUSTOM.